# Simple Synology plugin for OPNsense

based on the [Hello World module & plugin](https://docs.opnsense.org/development/examples/helloworld.html)

## Usage
- Wake up Synology NAS with the existing OPNsense Wake On Lan plugin
- Shutdown Synology NAS with this module using REST-API (built with OPNsense 23.7.3 and Synology DS220+ 6.2.3-25426 Update 3)
- (Get additional infos, e.g. NAS status, VM list)

## TODO
- GUI improvements
- more functionality (get NAS utilisation)
- multi language translation
- tests

## GUI
![image](/uploads/a60f9c2711fd89935a0ead1c21657d91/image.png)

![image](/uploads/489d5bb51e7984193514f698a84cef60/image.png)

![image](/uploads/b1f1aa9c9197ee164e7bddc50689aee2/image.png)

## Installation
- pkg add https://gitlab.com/peter.gastinger/os-synology/uploads/c4300e2bc671a84fa3a34f4db250c519/os-synology-0.7_1.pkg
- add synology credentials via web gui (admin permissions probably required)
- import synology ca certificate (system->trust->authorities)
- shutdown NAS via button

OR

- via API:
```python
import requests
from pprint import pprint

api_key="......"
api_secret="..."
# nas_url= 'https://192.168.20.27/api/synology/service/shutdown' # shutdown
nas_url= 'https://192.168.20.27/api/synology/service/status' # get status

session = requests.Session()
session.verify = False
session.auth = (api_key, api_secret)

res = session.post(nas_url)
pprint(res.json())
```

## Build
- git clone to /usr/plugins/devel/

```
root@ovirt:/usr/plugins/devel/os-synology # git pull
remote: Enumerating objects: 25, done.
remote: Counting objects: 100% (25/25), done.
remote: Compressing objects: 100% (21/21), done.
remote: Total 25 (delta 9), reused 0 (delta 0), pack-reused 0
Unpacking objects: 100% (25/25), 8.96 KiB | 611.00 KiB/s, done.
From https://gitlab.com/peter.gastinger/os-synology
   3425da5..c6ac2d8  master     -> origin/master
 * [new tag]         20210719   -> 20210719
Updating 3425da5..c6ac2d8
Fast-forward
 Makefile                                                                    |  4 ++--
 README.md                                                                   | 69 ++++++++++++++++++++++++++++++++++++---------------------------------
 src/opnsense/mvc/app/controllers/OPNsense/Synology/IndexController.php      |  2 --
 src/opnsense/mvc/app/controllers/OPNsense/Synology/OperationsController.php |  1 +
 src/opnsense/mvc/app/controllers/OPNsense/Synology/VmsController.php        |  1 -
 5 files changed, 39 insertions(+), 38 deletions(-)
>>> Generating metadata for os-synology-0.6_1... done
>>> Staging files for os-synology-0.6_1... done
>>> Generated version info for os-synology-0.6_1:
{
    "product_abi": "21.1",
    "product_arch": "amd64",
    "product_email": "peter.gastinger@gmail.com",
    "product_flavour": "OpenSSL",
    "product_hash": "c6ac2d8f7",
    "product_id": "os-synology",
    "product_name": "synology",
    "product_version": "0.6_1",
    "product_website": "https://opnsense.org/"
}
>>> Packaging files for os-synology-0.6_1:
file sizes/checksums    [19]: 100%
packing files           [19]: 100%
packing directories      [0]: 100%
root@ovirt:/usr/plugins/devel/os-synology # pkg install work/pkg/os-synology-0.
os-synology-0.3_10.txz  os-synology-0.4_1.txz   os-synology-0.4_3.txz   os-synology-0.5_10.txz  os-synology-0.5_2.txz   os-synology-0.5_6.txz   os-synology-0.5_9.txz   
os-synology-0.3_9.txz   os-synology-0.4_2.txz   os-synology-0.5_1.txz   os-synology-0.5_12.txz  os-synology-0.5_4.txz   os-synology-0.5_7.txz   os-synology-0.6_1.txz   
root@ovirt:/usr/plugins/devel/os-synology # pkg install work/pkg/os-synology-0.6_1.txz 
Updating OPNsense repository catalogue...
OPNsense repository is up to date.
All repositories are up to date.
Updating database digests format: 100%
Checking integrity... done (0 conflicting)
The following 1 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
	os-synology: 0.6_1

Number of packages to be installed: 1

Proceed with this action? [y/N]: y
[1/1] Installing os-synology-0.6_1...
Extracting os-synology-0.6_1: 100%
Stopping configd...done
Starting configd.
Keep version OPNsense\Synology\Synology (0.0.0)
Reloading plugin configuration
Configuring system logging...done.
Reloading template OPNsense/Synology: OK
```

## Logfile
```
root@ovirt:/usr/plugins/devel/os-synology # tail -n 13 /var/log/synology.log
2021-07-19 12:16:45,208 {'message': {'data': {'guests': [{'autorun': 1, 'description': '', 'guest_id': 'cb26984b-70a1-483d-bca1-8a143bddbf0a', 'guest_name': 'cp_smartconsole_r80.40', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 3, 'unmap': False, 'vdisk_id': '39613ff9-ce13-4e80-bec0-3566ddb4205f', 'vdisk_size': 51200}], 'vnics': [{'mac': '02:11:32:28:f7:b2', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'adcb972e-c53f-424f-9d4f-3b029a9c1a5f'}], 'vram_size': 8192}, {'autorun': 0, 'description': '', 'guest_id': '3880ff40-fcc9-418c-84c3-7c27e8061a01', 'guest_name': 'cp-r80.40', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 3, 'unmap': False, 'vdisk_id': 'bcbd1283-00bf-43bf-8a51-18b045846e38', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:2d:40:57', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '37da5f04-6cd1-435a-aa1e-86ad281c9bfe'}], 'vram_size': 2048}, {'autorun': 0, 'description': '', 'guest_id': '3c3af4d8-223c-4af5-b1d9-b4c9127388bf', 'guest_name': 'opnsense-n', 'status': 'running', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 32, 'unmap': False, 'vdisk_id': '5ebea0dd-49ac-46df-99f0-7205483faab6', 'vdisk_size': 1024}, {'controller': 1, 'unmap': False, 'vdisk_id': '7cdc3865-27ac-49f4-97c1-8db2fdabf9ec', 'vdisk_size': 30720}], 'vnics': [{'mac': '02:11:32:27:bc:84', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'c5180430-cb0c-4635-9e1a-3f4d80d8411a'}], 'vram_size': 2048}, {'autorun': 1, 'description': '', 'guest_id': 'b8a56974-b8ba-4709-9d7a-c618bba06541', 'guest_name': 'kali', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'c1b1ee9f-003e-474c-9f4e-699e4f7dc81b', 'vdisk_size': 40960}], 'vnics': [{'mac': '02:11:32:21:81:56', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'a2e8f4ad-87b6-4f5c-989b-1a5721e492e3'}], 'vram_size': 4096}, {'autorun': 0, 'description': '', 'guest_id': '2e3b1d2b-869c-4c8a-989c-aca3fb7dcd7a', 'guest_name': 'k3os_02', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': '97f50d6f-5cc4-4204-989a-a5aa7c117f14', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:26:88:6e', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '89e82114-d673-4f93-9c65-cc92c48997ab'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': '8b17b2cd-b6a4-4384-ab9d-200735b8aeaa', 'guest_name': 'Juniper SRX', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 2, 'unmap': False, 'vdisk_id': 'a092fed1-4f26-4bc1-84da-30a0ec3e9673', 'vdisk_size': 16384}], 'vnics': [{'mac': '02:11:32:2c:14:48', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'bc5c0b50-762c-49a0-acfb-91f7da9681d2'}], 'vram_size': 4096}, {'autorun': 1, 'description': '', 'guest_id': '7677313c-3b3e-4c55-a756-2bd55a18e013', 'guest_name': 'opnsense', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 32, 'unmap': False, 'vdisk_id': 'f9267d39-c677-4bd2-b775-697d7514642e', 'vdisk_size': 1024}, {'controller': 1, 'unmap': False, 'vdisk_id': '89498209-5b95-4367-87c9-866841a45b16', 'vdisk_size': 30720}], 'vnics': [{'mac': '02:11:32:21:d1:d9', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'c4ed58ad-0492-46ce-9908-029969afe5ef'}], 'vram_size': 2048}, {'autorun': 1, 'description': '', 'guest_id': '79a11e59-d6f3-4101-b5d4-86be71827b25', 'guest_name': 'debian', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': '4aa13d18-bc98-4098-a8e6-59dc58cc2219', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:2e:67:88', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '4e2ed728-e509-4be1-a9d8-e78d67242ea4'}], 'vram_size': 2048}, {'autorun': 0, 'description': '', 'guest_id': '998b6152-0f3b-4732-9303-1a8b65b46285', 'guest_name': 'tails', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'dd5f90fe-ce8a-43e9-8644-6e976cb76e22', 'vdisk_size': 30720}], 'vnics': [{'mac': '02:11:32:22:c4:58', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'd3169e0b-1748-4573-b18c-090265138ddd'}], 'vram_size': 8192}, {'autorun': 0, 'description': '', 'guest_id': 'e835ec58-6932-458d-8745-98093e9d69d7', 'guest_name': 'security_onion', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'acb79262-3e98-44b3-b1cb-c432574d2249', 'vdisk_size': 204800}], 'vnics': [{'mac': '02:11:32:28:d5:88', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '7ed8320d-1ac6-4b97-b921-01e1cd7767ce'}], 'vram_size': 4096}, {'autorun': 0, 'description': '', 'guest_id': 'ea624136-8481-4204-8960-a0550816e5c8', 'guest_name': 'k3os_01', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': '827f1bba-ca2d-4371-a36e-86cf36557473', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:21:ad:86', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'fd574b17-198e-4f06-a139-06c16147b034'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': 'eab2c861-fb84-4c30-ba54-0985ef8fa63d', 'guest_name': 'k3os_04', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': '569bbc77-c48b-45ad-a645-9778fa669a3c', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:23:a2:48', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '54100bc2-98e6-4d3b-86bb-b0c15ee27248'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': '17bb084a-fd05-43bd-96d8-e3f0e4f83620', 'guest_name': 'k3os_03', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'c5a18787-9661-473b-8088-65783194014c', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:21:33:33', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '36e5f3cd-d012-4d9c-9898-7e177515332a'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': '3e1148c7-88b9-4ab0-aa33-12cbea1556c3', 'guest_name': 'ADHD4', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 2, 'unmap': False, 'vdisk_id': 'ac0bc0e7-0157-4fce-95bf-5cacd76c698b', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:2a:f5:e3', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'dbdd6be2-7dbd-41d5-b60b-587bc36a3cff'}], 'vram_size': 3072}, {'autorun': 0, 'description': '', 'guest_id': '3fd64ee2-5b05-4525-aafb-90e0890c2519', 'guest_name': 'slingshot', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 2, 'unmap': False, 'vdisk_id': 'b1e19732-2627-4571-b363-9eb6ec8a3403', 'vdisk_size': 131072}], 'vnics': [{'mac': '02:11:32:29:a3:37', 'model': 2, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'c9b856b8-e7a5-42fb-944b-a492042df01e'}], 'vram_size': 2048}, {'autorun': 1, 'description': '', 'guest_id': '648f871b-a49d-4687-a964-8ee0d55bc3b8', 'guest_name': 'Dsm7', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'd0589362-ba04-4644-bdda-c61472edc903', 'vdisk_size': 10240}, {'controller': 1, 'unmap': False, 'vdisk_id': '636b099a-e452-4815-ab00-c9773fe9a295', 'vdisk_size': 10240}, {'controller': 1, 'unmap': False, 'vdisk_id': '23f8705e-0fde-42f4-ae29-b8b2254c65c0', 'vdisk_size': 51200}], 'vnics': [{'mac': '02:11:32:2e:b2:d0', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'c5183b29-904e-4c2a-bbb3-0ab15ef24e39'}], 'vram_size': 2048}, {'autorun': 0, 'description': '', 'guest_id': '6fbe1c3b-4995-479f-8b0f-36f57ee4bf67', 'guest_name': 'adhd', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 32, 'unmap': False, 'vdisk_id': 'bbb564a7-290e-495c-9e1c-56ce621fdaa8', 'vdisk_size': 1024}, {'controller': 2, 'unmap': False, 'vdisk_id': '2b530c5a-60ab-40cd-9ec6-ed35c2c6b3b6', 'vdisk_size': 61440}], 'vnics': [{'mac': '02:11:32:25:9f:b9', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '300da9b9-0f3e-4c6e-9241-c5688a2eb3b7'}], 'vram_size': 4096}, {'autorun': 1, 'description': '', 'guest_id': '0431f407-f1b9-4a83-b9a6-858ab33d202b', 'guest_name': 'vyos_01', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'c20ec90b-5c5f-41e2-88eb-eb745badd1c3', 'vdisk_size': 10240}], 'vnics': [{'mac': '02:11:32:2c:74:f7', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '0e266885-c2a5-474c-a81e-903f0f6e8a87'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': '22fbe95f-0a82-409f-a6a5-26c7ac5e3e86', 'guest_name': 'Win10Eval', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 2, 'unmap': False, 'vdisk_id': 'f4d00e2a-500f-4c89-9404-9275e952085c', 'vdisk_size': 40960}], 'vnics': [{'mac': '02:11:32:2d:0c:5d', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '2761048c-cc96-4398-922d-17dfa5e80958'}], 'vram_size': 8192}]}, 'success': True}}
2021-07-19 12:16:51,656 {'message': {'success': True}}
2021-07-19 12:18:13,834 {'message': {'data': {'guests': [{'autorun': 0, 'description': '', 'guest_id': '3c3af4d8-223c-4af5-b1d9-b4c9127388bf', 'guest_name': 'opnsense-n', 'status': 'running', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 32, 'unmap': False, 'vdisk_id': '5ebea0dd-49ac-46df-99f0-7205483faab6', 'vdisk_size': 1024}, {'controller': 1, 'unmap': False, 'vdisk_id': '7cdc3865-27ac-49f4-97c1-8db2fdabf9ec', 'vdisk_size': 30720}], 'vnics': [{'mac': '02:11:32:27:bc:84', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'c5180430-cb0c-4635-9e1a-3f4d80d8411a'}], 'vram_size': 2048}, {'autorun': 1, 'description': '', 'guest_id': 'cb26984b-70a1-483d-bca1-8a143bddbf0a', 'guest_name': 'cp_smartconsole_r80.40', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 3, 'unmap': False, 'vdisk_id': '39613ff9-ce13-4e80-bec0-3566ddb4205f', 'vdisk_size': 51200}], 'vnics': [{'mac': '02:11:32:28:f7:b2', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'adcb972e-c53f-424f-9d4f-3b029a9c1a5f'}], 'vram_size': 8192}, {'autorun': 0, 'description': '', 'guest_id': '3880ff40-fcc9-418c-84c3-7c27e8061a01', 'guest_name': 'cp-r80.40', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 3, 'unmap': False, 'vdisk_id': 'bcbd1283-00bf-43bf-8a51-18b045846e38', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:2d:40:57', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '37da5f04-6cd1-435a-aa1e-86ad281c9bfe'}], 'vram_size': 2048}, {'autorun': 0, 'description': '', 'guest_id': '8b17b2cd-b6a4-4384-ab9d-200735b8aeaa', 'guest_name': 'Juniper SRX', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 2, 'unmap': False, 'vdisk_id': 'a092fed1-4f26-4bc1-84da-30a0ec3e9673', 'vdisk_size': 16384}], 'vnics': [{'mac': '02:11:32:2c:14:48', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'bc5c0b50-762c-49a0-acfb-91f7da9681d2'}], 'vram_size': 4096}, {'autorun': 1, 'description': '', 'guest_id': 'b8a56974-b8ba-4709-9d7a-c618bba06541', 'guest_name': 'kali', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'c1b1ee9f-003e-474c-9f4e-699e4f7dc81b', 'vdisk_size': 40960}], 'vnics': [{'mac': '02:11:32:21:81:56', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'a2e8f4ad-87b6-4f5c-989b-1a5721e492e3'}], 'vram_size': 4096}, {'autorun': 0, 'description': '', 'guest_id': '2e3b1d2b-869c-4c8a-989c-aca3fb7dcd7a', 'guest_name': 'k3os_02', 'status': 'running', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': '97f50d6f-5cc4-4204-989a-a5aa7c117f14', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:26:88:6e', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '89e82114-d673-4f93-9c65-cc92c48997ab'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': '3e1148c7-88b9-4ab0-aa33-12cbea1556c3', 'guest_name': 'ADHD4', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 2, 'unmap': False, 'vdisk_id': 'ac0bc0e7-0157-4fce-95bf-5cacd76c698b', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:2a:f5:e3', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'dbdd6be2-7dbd-41d5-b60b-587bc36a3cff'}], 'vram_size': 3072}, {'autorun': 1, 'description': '', 'guest_id': '7677313c-3b3e-4c55-a756-2bd55a18e013', 'guest_name': 'opnsense', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 32, 'unmap': False, 'vdisk_id': 'f9267d39-c677-4bd2-b775-697d7514642e', 'vdisk_size': 1024}, {'controller': 1, 'unmap': False, 'vdisk_id': '89498209-5b95-4367-87c9-866841a45b16', 'vdisk_size': 30720}], 'vnics': [{'mac': '02:11:32:21:d1:d9', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'c4ed58ad-0492-46ce-9908-029969afe5ef'}], 'vram_size': 2048}, {'autorun': 1, 'description': '', 'guest_id': '79a11e59-d6f3-4101-b5d4-86be71827b25', 'guest_name': 'debian', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': '4aa13d18-bc98-4098-a8e6-59dc58cc2219', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:2e:67:88', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '4e2ed728-e509-4be1-a9d8-e78d67242ea4'}], 'vram_size': 2048}, {'autorun': 0, 'description': '', 'guest_id': '998b6152-0f3b-4732-9303-1a8b65b46285', 'guest_name': 'tails', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'dd5f90fe-ce8a-43e9-8644-6e976cb76e22', 'vdisk_size': 30720}], 'vnics': [{'mac': '02:11:32:22:c4:58', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'd3169e0b-1748-4573-b18c-090265138ddd'}], 'vram_size': 8192}, {'autorun': 0, 'description': '', 'guest_id': 'e835ec58-6932-458d-8745-98093e9d69d7', 'guest_name': 'security_onion', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'acb79262-3e98-44b3-b1cb-c432574d2249', 'vdisk_size': 204800}], 'vnics': [{'mac': '02:11:32:28:d5:88', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '7ed8320d-1ac6-4b97-b921-01e1cd7767ce'}], 'vram_size': 4096}, {'autorun': 0, 'description': '', 'guest_id': 'ea624136-8481-4204-8960-a0550816e5c8', 'guest_name': 'k3os_01', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': '827f1bba-ca2d-4371-a36e-86cf36557473', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:21:ad:86', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'fd574b17-198e-4f06-a139-06c16147b034'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': 'eab2c861-fb84-4c30-ba54-0985ef8fa63d', 'guest_name': 'k3os_04', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': '569bbc77-c48b-45ad-a645-9778fa669a3c', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:23:a2:48', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '54100bc2-98e6-4d3b-86bb-b0c15ee27248'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': '17bb084a-fd05-43bd-96d8-e3f0e4f83620', 'guest_name': 'k3os_03', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'c5a18787-9661-473b-8088-65783194014c', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:21:33:33', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '36e5f3cd-d012-4d9c-9898-7e177515332a'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': '22fbe95f-0a82-409f-a6a5-26c7ac5e3e86', 'guest_name': 'Win10Eval', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 2, 'unmap': False, 'vdisk_id': 'f4d00e2a-500f-4c89-9404-9275e952085c', 'vdisk_size': 40960}], 'vnics': [{'mac': '02:11:32:2d:0c:5d', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '2761048c-cc96-4398-922d-17dfa5e80958'}], 'vram_size': 8192}, {'autorun': 0, 'description': '', 'guest_id': '3fd64ee2-5b05-4525-aafb-90e0890c2519', 'guest_name': 'slingshot', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 2, 'unmap': False, 'vdisk_id': 'b1e19732-2627-4571-b363-9eb6ec8a3403', 'vdisk_size': 131072}], 'vnics': [{'mac': '02:11:32:29:a3:37', 'model': 2, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'c9b856b8-e7a5-42fb-944b-a492042df01e'}], 'vram_size': 2048}, {'autorun': 1, 'description': '', 'guest_id': '648f871b-a49d-4687-a964-8ee0d55bc3b8', 'guest_name': 'Dsm7', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'd0589362-ba04-4644-bdda-c61472edc903', 'vdisk_size': 10240}, {'controller': 1, 'unmap': False, 'vdisk_id': '636b099a-e452-4815-ab00-c9773fe9a295', 'vdisk_size': 10240}, {'controller': 1, 'unmap': False, 'vdisk_id': '23f8705e-0fde-42f4-ae29-b8b2254c65c0', 'vdisk_size': 51200}], 'vnics': [{'mac': '02:11:32:2e:b2:d0', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'c5183b29-904e-4c2a-bbb3-0ab15ef24e39'}], 'vram_size': 2048}, {'autorun': 0, 'description': '', 'guest_id': '6fbe1c3b-4995-479f-8b0f-36f57ee4bf67', 'guest_name': 'adhd', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 32, 'unmap': False, 'vdisk_id': 'bbb564a7-290e-495c-9e1c-56ce621fdaa8', 'vdisk_size': 1024}, {'controller': 2, 'unmap': False, 'vdisk_id': '2b530c5a-60ab-40cd-9ec6-ed35c2c6b3b6', 'vdisk_size': 61440}], 'vnics': [{'mac': '02:11:32:25:9f:b9', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '300da9b9-0f3e-4c6e-9241-c5688a2eb3b7'}], 'vram_size': 4096}, {'autorun': 1, 'description': '', 'guest_id': '0431f407-f1b9-4a83-b9a6-858ab33d202b', 'guest_name': 'vyos_01', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'c20ec90b-5c5f-41e2-88eb-eb745badd1c3', 'vdisk_size': 10240}], 'vnics': [{'mac': '02:11:32:2c:74:f7', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '0e266885-c2a5-474c-a81e-903f0f6e8a87'}], 'vram_size': 1024}]}, 'success': True}}
2021-07-19 12:18:22,407 {'message': {'success': True}}
2021-07-19 12:20:05,918 {'message': {'data': {'guests': [{'autorun': 0, 'description': '', 'guest_id': '998b6152-0f3b-4732-9303-1a8b65b46285', 'guest_name': 'tails', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'dd5f90fe-ce8a-43e9-8644-6e976cb76e22', 'vdisk_size': 30720}], 'vnics': [{'mac': '02:11:32:22:c4:58', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'd3169e0b-1748-4573-b18c-090265138ddd'}], 'vram_size': 8192}, {'autorun': 0, 'description': '', 'guest_id': 'e835ec58-6932-458d-8745-98093e9d69d7', 'guest_name': 'security_onion', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'acb79262-3e98-44b3-b1cb-c432574d2249', 'vdisk_size': 204800}], 'vnics': [{'mac': '02:11:32:28:d5:88', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '7ed8320d-1ac6-4b97-b921-01e1cd7767ce'}], 'vram_size': 4096}, {'autorun': 0, 'description': '', 'guest_id': 'ea624136-8481-4204-8960-a0550816e5c8', 'guest_name': 'k3os_01', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': '827f1bba-ca2d-4371-a36e-86cf36557473', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:21:ad:86', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'fd574b17-198e-4f06-a139-06c16147b034'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': 'eab2c861-fb84-4c30-ba54-0985ef8fa63d', 'guest_name': 'k3os_04', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': '569bbc77-c48b-45ad-a645-9778fa669a3c', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:23:a2:48', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '54100bc2-98e6-4d3b-86bb-b0c15ee27248'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': '17bb084a-fd05-43bd-96d8-e3f0e4f83620', 'guest_name': 'k3os_03', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'c5a18787-9661-473b-8088-65783194014c', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:21:33:33', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '36e5f3cd-d012-4d9c-9898-7e177515332a'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': '3e1148c7-88b9-4ab0-aa33-12cbea1556c3', 'guest_name': 'ADHD4', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 2, 'unmap': False, 'vdisk_id': 'ac0bc0e7-0157-4fce-95bf-5cacd76c698b', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:2a:f5:e3', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'dbdd6be2-7dbd-41d5-b60b-587bc36a3cff'}], 'vram_size': 3072}, {'autorun': 1, 'description': '', 'guest_id': '7677313c-3b3e-4c55-a756-2bd55a18e013', 'guest_name': 'opnsense', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 32, 'unmap': False, 'vdisk_id': 'f9267d39-c677-4bd2-b775-697d7514642e', 'vdisk_size': 1024}, {'controller': 1, 'unmap': False, 'vdisk_id': '89498209-5b95-4367-87c9-866841a45b16', 'vdisk_size': 30720}], 'vnics': [{'mac': '02:11:32:21:d1:d9', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'c4ed58ad-0492-46ce-9908-029969afe5ef'}], 'vram_size': 2048}, {'autorun': 1, 'description': '', 'guest_id': '79a11e59-d6f3-4101-b5d4-86be71827b25', 'guest_name': 'debian', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': '4aa13d18-bc98-4098-a8e6-59dc58cc2219', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:2e:67:88', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '4e2ed728-e509-4be1-a9d8-e78d67242ea4'}], 'vram_size': 2048}, {'autorun': 0, 'description': '', 'guest_id': '6fbe1c3b-4995-479f-8b0f-36f57ee4bf67', 'guest_name': 'adhd', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 32, 'unmap': False, 'vdisk_id': 'bbb564a7-290e-495c-9e1c-56ce621fdaa8', 'vdisk_size': 1024}, {'controller': 2, 'unmap': False, 'vdisk_id': '2b530c5a-60ab-40cd-9ec6-ed35c2c6b3b6', 'vdisk_size': 61440}], 'vnics': [{'mac': '02:11:32:25:9f:b9', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '300da9b9-0f3e-4c6e-9241-c5688a2eb3b7'}], 'vram_size': 4096}, {'autorun': 1, 'description': '', 'guest_id': '0431f407-f1b9-4a83-b9a6-858ab33d202b', 'guest_name': 'vyos_01', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'c20ec90b-5c5f-41e2-88eb-eb745badd1c3', 'vdisk_size': 10240}], 'vnics': [{'mac': '02:11:32:2c:74:f7', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '0e266885-c2a5-474c-a81e-903f0f6e8a87'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': '22fbe95f-0a82-409f-a6a5-26c7ac5e3e86', 'guest_name': 'Win10Eval', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 2, 'unmap': False, 'vdisk_id': 'f4d00e2a-500f-4c89-9404-9275e952085c', 'vdisk_size': 40960}], 'vnics': [{'mac': '02:11:32:2d:0c:5d', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '2761048c-cc96-4398-922d-17dfa5e80958'}], 'vram_size': 8192}, {'autorun': 0, 'description': '', 'guest_id': '3fd64ee2-5b05-4525-aafb-90e0890c2519', 'guest_name': 'slingshot', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 2, 'unmap': False, 'vdisk_id': 'b1e19732-2627-4571-b363-9eb6ec8a3403', 'vdisk_size': 131072}], 'vnics': [{'mac': '02:11:32:29:a3:37', 'model': 2, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'c9b856b8-e7a5-42fb-944b-a492042df01e'}], 'vram_size': 2048}, {'autorun': 1, 'description': '', 'guest_id': '648f871b-a49d-4687-a964-8ee0d55bc3b8', 'guest_name': 'Dsm7', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'd0589362-ba04-4644-bdda-c61472edc903', 'vdisk_size': 10240}, {'controller': 1, 'unmap': False, 'vdisk_id': '636b099a-e452-4815-ab00-c9773fe9a295', 'vdisk_size': 10240}, {'controller': 1, 'unmap': False, 'vdisk_id': '23f8705e-0fde-42f4-ae29-b8b2254c65c0', 'vdisk_size': 51200}], 'vnics': [{'mac': '02:11:32:2e:b2:d0', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'c5183b29-904e-4c2a-bbb3-0ab15ef24e39'}], 'vram_size': 2048}, {'autorun': 0, 'description': '', 'guest_id': '3880ff40-fcc9-418c-84c3-7c27e8061a01', 'guest_name': 'cp-r80.40', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 3, 'unmap': False, 'vdisk_id': 'bcbd1283-00bf-43bf-8a51-18b045846e38', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:2d:40:57', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '37da5f04-6cd1-435a-aa1e-86ad281c9bfe'}], 'vram_size': 2048}, {'autorun': 0, 'description': '', 'guest_id': '3c3af4d8-223c-4af5-b1d9-b4c9127388bf', 'guest_name': 'opnsense-n', 'status': 'running', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 32, 'unmap': False, 'vdisk_id': '5ebea0dd-49ac-46df-99f0-7205483faab6', 'vdisk_size': 1024}, {'controller': 1, 'unmap': False, 'vdisk_id': '7cdc3865-27ac-49f4-97c1-8db2fdabf9ec', 'vdisk_size': 30720}], 'vnics': [{'mac': '02:11:32:27:bc:84', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'c5180430-cb0c-4635-9e1a-3f4d80d8411a'}], 'vram_size': 2048}, {'autorun': 1, 'description': '', 'guest_id': 'cb26984b-70a1-483d-bca1-8a143bddbf0a', 'guest_name': 'cp_smartconsole_r80.40', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 3, 'unmap': False, 'vdisk_id': '39613ff9-ce13-4e80-bec0-3566ddb4205f', 'vdisk_size': 51200}], 'vnics': [{'mac': '02:11:32:28:f7:b2', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'adcb972e-c53f-424f-9d4f-3b029a9c1a5f'}], 'vram_size': 8192}, {'autorun': 0, 'description': '', 'guest_id': '2e3b1d2b-869c-4c8a-989c-aca3fb7dcd7a', 'guest_name': 'k3os_02', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': '97f50d6f-5cc4-4204-989a-a5aa7c117f14', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:26:88:6e', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '89e82114-d673-4f93-9c65-cc92c48997ab'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': '8b17b2cd-b6a4-4384-ab9d-200735b8aeaa', 'guest_name': 'Juniper SRX', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 2, 'unmap': False, 'vdisk_id': 'a092fed1-4f26-4bc1-84da-30a0ec3e9673', 'vdisk_size': 16384}], 'vnics': [{'mac': '02:11:32:2c:14:48', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'bc5c0b50-762c-49a0-acfb-91f7da9681d2'}], 'vram_size': 4096}, {'autorun': 1, 'description': '', 'guest_id': 'b8a56974-b8ba-4709-9d7a-c618bba06541', 'guest_name': 'kali', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'c1b1ee9f-003e-474c-9f4e-699e4f7dc81b', 'vdisk_size': 40960}], 'vnics': [{'mac': '02:11:32:21:81:56', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'a2e8f4ad-87b6-4f5c-989b-1a5721e492e3'}], 'vram_size': 4096}]}, 'success': True}}
2021-07-19 12:20:49,375 {'message': {'data': {'guests': [{'autorun': 1, 'description': '', 'guest_id': '7677313c-3b3e-4c55-a756-2bd55a18e013', 'guest_name': 'opnsense', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 32, 'unmap': False, 'vdisk_id': 'f9267d39-c677-4bd2-b775-697d7514642e', 'vdisk_size': 1024}, {'controller': 1, 'unmap': False, 'vdisk_id': '89498209-5b95-4367-87c9-866841a45b16', 'vdisk_size': 30720}], 'vnics': [{'mac': '02:11:32:21:d1:d9', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'c4ed58ad-0492-46ce-9908-029969afe5ef'}], 'vram_size': 2048}, {'autorun': 1, 'description': '', 'guest_id': '79a11e59-d6f3-4101-b5d4-86be71827b25', 'guest_name': 'debian', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': '4aa13d18-bc98-4098-a8e6-59dc58cc2219', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:2e:67:88', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '4e2ed728-e509-4be1-a9d8-e78d67242ea4'}], 'vram_size': 2048}, {'autorun': 0, 'description': '', 'guest_id': '998b6152-0f3b-4732-9303-1a8b65b46285', 'guest_name': 'tails', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'dd5f90fe-ce8a-43e9-8644-6e976cb76e22', 'vdisk_size': 30720}], 'vnics': [{'mac': '02:11:32:22:c4:58', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'd3169e0b-1748-4573-b18c-090265138ddd'}], 'vram_size': 8192}, {'autorun': 0, 'description': '', 'guest_id': 'e835ec58-6932-458d-8745-98093e9d69d7', 'guest_name': 'security_onion', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'acb79262-3e98-44b3-b1cb-c432574d2249', 'vdisk_size': 204800}], 'vnics': [{'mac': '02:11:32:28:d5:88', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '7ed8320d-1ac6-4b97-b921-01e1cd7767ce'}], 'vram_size': 4096}, {'autorun': 0, 'description': '', 'guest_id': 'ea624136-8481-4204-8960-a0550816e5c8', 'guest_name': 'k3os_01', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': '827f1bba-ca2d-4371-a36e-86cf36557473', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:21:ad:86', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'fd574b17-198e-4f06-a139-06c16147b034'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': 'eab2c861-fb84-4c30-ba54-0985ef8fa63d', 'guest_name': 'k3os_04', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': '569bbc77-c48b-45ad-a645-9778fa669a3c', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:23:a2:48', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '54100bc2-98e6-4d3b-86bb-b0c15ee27248'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': '17bb084a-fd05-43bd-96d8-e3f0e4f83620', 'guest_name': 'k3os_03', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'c5a18787-9661-473b-8088-65783194014c', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:21:33:33', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '36e5f3cd-d012-4d9c-9898-7e177515332a'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': '3e1148c7-88b9-4ab0-aa33-12cbea1556c3', 'guest_name': 'ADHD4', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 2, 'unmap': False, 'vdisk_id': 'ac0bc0e7-0157-4fce-95bf-5cacd76c698b', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:2a:f5:e3', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'dbdd6be2-7dbd-41d5-b60b-587bc36a3cff'}], 'vram_size': 3072}, {'autorun': 0, 'description': '', 'guest_id': '3fd64ee2-5b05-4525-aafb-90e0890c2519', 'guest_name': 'slingshot', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 2, 'unmap': False, 'vdisk_id': 'b1e19732-2627-4571-b363-9eb6ec8a3403', 'vdisk_size': 131072}], 'vnics': [{'mac': '02:11:32:29:a3:37', 'model': 2, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'c9b856b8-e7a5-42fb-944b-a492042df01e'}], 'vram_size': 2048}, {'autorun': 1, 'description': '', 'guest_id': '648f871b-a49d-4687-a964-8ee0d55bc3b8', 'guest_name': 'Dsm7', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'd0589362-ba04-4644-bdda-c61472edc903', 'vdisk_size': 10240}, {'controller': 1, 'unmap': False, 'vdisk_id': '636b099a-e452-4815-ab00-c9773fe9a295', 'vdisk_size': 10240}, {'controller': 1, 'unmap': False, 'vdisk_id': '23f8705e-0fde-42f4-ae29-b8b2254c65c0', 'vdisk_size': 51200}], 'vnics': [{'mac': '02:11:32:2e:b2:d0', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'c5183b29-904e-4c2a-bbb3-0ab15ef24e39'}], 'vram_size': 2048}, {'autorun': 0, 'description': '', 'guest_id': '6fbe1c3b-4995-479f-8b0f-36f57ee4bf67', 'guest_name': 'adhd', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 32, 'unmap': False, 'vdisk_id': 'bbb564a7-290e-495c-9e1c-56ce621fdaa8', 'vdisk_size': 1024}, {'controller': 2, 'unmap': False, 'vdisk_id': '2b530c5a-60ab-40cd-9ec6-ed35c2c6b3b6', 'vdisk_size': 61440}], 'vnics': [{'mac': '02:11:32:25:9f:b9', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '300da9b9-0f3e-4c6e-9241-c5688a2eb3b7'}], 'vram_size': 4096}, {'autorun': 1, 'description': '', 'guest_id': '0431f407-f1b9-4a83-b9a6-858ab33d202b', 'guest_name': 'vyos_01', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'c20ec90b-5c5f-41e2-88eb-eb745badd1c3', 'vdisk_size': 10240}], 'vnics': [{'mac': '02:11:32:2c:74:f7', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '0e266885-c2a5-474c-a81e-903f0f6e8a87'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': '22fbe95f-0a82-409f-a6a5-26c7ac5e3e86', 'guest_name': 'Win10Eval', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 2, 'unmap': False, 'vdisk_id': 'f4d00e2a-500f-4c89-9404-9275e952085c', 'vdisk_size': 40960}], 'vnics': [{'mac': '02:11:32:2d:0c:5d', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '2761048c-cc96-4398-922d-17dfa5e80958'}], 'vram_size': 8192}, {'autorun': 1, 'description': '', 'guest_id': 'cb26984b-70a1-483d-bca1-8a143bddbf0a', 'guest_name': 'cp_smartconsole_r80.40', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 3, 'unmap': False, 'vdisk_id': '39613ff9-ce13-4e80-bec0-3566ddb4205f', 'vdisk_size': 51200}], 'vnics': [{'mac': '02:11:32:28:f7:b2', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'adcb972e-c53f-424f-9d4f-3b029a9c1a5f'}], 'vram_size': 8192}, {'autorun': 0, 'description': '', 'guest_id': '3880ff40-fcc9-418c-84c3-7c27e8061a01', 'guest_name': 'cp-r80.40', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 3, 'unmap': False, 'vdisk_id': 'bcbd1283-00bf-43bf-8a51-18b045846e38', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:2d:40:57', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '37da5f04-6cd1-435a-aa1e-86ad281c9bfe'}], 'vram_size': 2048}, {'autorun': 0, 'description': '', 'guest_id': '3c3af4d8-223c-4af5-b1d9-b4c9127388bf', 'guest_name': 'opnsense-n', 'status': 'running', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 32, 'unmap': False, 'vdisk_id': '5ebea0dd-49ac-46df-99f0-7205483faab6', 'vdisk_size': 1024}, {'controller': 1, 'unmap': False, 'vdisk_id': '7cdc3865-27ac-49f4-97c1-8db2fdabf9ec', 'vdisk_size': 30720}], 'vnics': [{'mac': '02:11:32:27:bc:84', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'c5180430-cb0c-4635-9e1a-3f4d80d8411a'}], 'vram_size': 2048}, {'autorun': 1, 'description': '', 'guest_id': 'b8a56974-b8ba-4709-9d7a-c618bba06541', 'guest_name': 'kali', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'c1b1ee9f-003e-474c-9f4e-699e4f7dc81b', 'vdisk_size': 40960}], 'vnics': [{'mac': '02:11:32:21:81:56', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'a2e8f4ad-87b6-4f5c-989b-1a5721e492e3'}], 'vram_size': 4096}, {'autorun': 0, 'description': '', 'guest_id': '2e3b1d2b-869c-4c8a-989c-aca3fb7dcd7a', 'guest_name': 'k3os_02', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': '97f50d6f-5cc4-4204-989a-a5aa7c117f14', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:26:88:6e', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '89e82114-d673-4f93-9c65-cc92c48997ab'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': '8b17b2cd-b6a4-4384-ab9d-200735b8aeaa', 'guest_name': 'Juniper SRX', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 2, 'unmap': False, 'vdisk_id': 'a092fed1-4f26-4bc1-84da-30a0ec3e9673', 'vdisk_size': 16384}], 'vnics': [{'mac': '02:11:32:2c:14:48', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'bc5c0b50-762c-49a0-acfb-91f7da9681d2'}], 'vram_size': 4096}]}, 'success': True}}
2021-07-19 12:20:58,771 {'message': {'data': {'guests': [{'autorun': 0, 'description': '', 'guest_id': '8b17b2cd-b6a4-4384-ab9d-200735b8aeaa', 'guest_name': 'Juniper SRX', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 2, 'unmap': False, 'vdisk_id': 'a092fed1-4f26-4bc1-84da-30a0ec3e9673', 'vdisk_size': 16384}], 'vnics': [{'mac': '02:11:32:2c:14:48', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'bc5c0b50-762c-49a0-acfb-91f7da9681d2'}], 'vram_size': 4096}, {'autorun': 1, 'description': '', 'guest_id': 'b8a56974-b8ba-4709-9d7a-c618bba06541', 'guest_name': 'kali', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'c1b1ee9f-003e-474c-9f4e-699e4f7dc81b', 'vdisk_size': 40960}], 'vnics': [{'mac': '02:11:32:21:81:56', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'a2e8f4ad-87b6-4f5c-989b-1a5721e492e3'}], 'vram_size': 4096}, {'autorun': 0, 'description': '', 'guest_id': '2e3b1d2b-869c-4c8a-989c-aca3fb7dcd7a', 'guest_name': 'k3os_02', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': '97f50d6f-5cc4-4204-989a-a5aa7c117f14', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:26:88:6e', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '89e82114-d673-4f93-9c65-cc92c48997ab'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': '3e1148c7-88b9-4ab0-aa33-12cbea1556c3', 'guest_name': 'ADHD4', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 2, 'unmap': False, 'vdisk_id': 'ac0bc0e7-0157-4fce-95bf-5cacd76c698b', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:2a:f5:e3', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'dbdd6be2-7dbd-41d5-b60b-587bc36a3cff'}], 'vram_size': 3072}, {'autorun': 1, 'description': '', 'guest_id': '7677313c-3b3e-4c55-a756-2bd55a18e013', 'guest_name': 'opnsense', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 32, 'unmap': False, 'vdisk_id': 'f9267d39-c677-4bd2-b775-697d7514642e', 'vdisk_size': 1024}, {'controller': 1, 'unmap': False, 'vdisk_id': '89498209-5b95-4367-87c9-866841a45b16', 'vdisk_size': 30720}], 'vnics': [{'mac': '02:11:32:21:d1:d9', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'c4ed58ad-0492-46ce-9908-029969afe5ef'}], 'vram_size': 2048}, {'autorun': 1, 'description': '', 'guest_id': '79a11e59-d6f3-4101-b5d4-86be71827b25', 'guest_name': 'debian', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': '4aa13d18-bc98-4098-a8e6-59dc58cc2219', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:2e:67:88', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '4e2ed728-e509-4be1-a9d8-e78d67242ea4'}], 'vram_size': 2048}, {'autorun': 0, 'description': '', 'guest_id': '998b6152-0f3b-4732-9303-1a8b65b46285', 'guest_name': 'tails', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'dd5f90fe-ce8a-43e9-8644-6e976cb76e22', 'vdisk_size': 30720}], 'vnics': [{'mac': '02:11:32:22:c4:58', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'd3169e0b-1748-4573-b18c-090265138ddd'}], 'vram_size': 8192}, {'autorun': 0, 'description': '', 'guest_id': 'e835ec58-6932-458d-8745-98093e9d69d7', 'guest_name': 'security_onion', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'acb79262-3e98-44b3-b1cb-c432574d2249', 'vdisk_size': 204800}], 'vnics': [{'mac': '02:11:32:28:d5:88', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '7ed8320d-1ac6-4b97-b921-01e1cd7767ce'}], 'vram_size': 4096}, {'autorun': 0, 'description': '', 'guest_id': 'ea624136-8481-4204-8960-a0550816e5c8', 'guest_name': 'k3os_01', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': '827f1bba-ca2d-4371-a36e-86cf36557473', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:21:ad:86', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'fd574b17-198e-4f06-a139-06c16147b034'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': 'eab2c861-fb84-4c30-ba54-0985ef8fa63d', 'guest_name': 'k3os_04', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': '569bbc77-c48b-45ad-a645-9778fa669a3c', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:23:a2:48', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '54100bc2-98e6-4d3b-86bb-b0c15ee27248'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': '17bb084a-fd05-43bd-96d8-e3f0e4f83620', 'guest_name': 'k3os_03', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'c5a18787-9661-473b-8088-65783194014c', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:21:33:33', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '36e5f3cd-d012-4d9c-9898-7e177515332a'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': '22fbe95f-0a82-409f-a6a5-26c7ac5e3e86', 'guest_name': 'Win10Eval', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 2, 'unmap': False, 'vdisk_id': 'f4d00e2a-500f-4c89-9404-9275e952085c', 'vdisk_size': 40960}], 'vnics': [{'mac': '02:11:32:2d:0c:5d', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '2761048c-cc96-4398-922d-17dfa5e80958'}], 'vram_size': 8192}, {'autorun': 0, 'description': '', 'guest_id': '3fd64ee2-5b05-4525-aafb-90e0890c2519', 'guest_name': 'slingshot', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 2, 'unmap': False, 'vdisk_id': 'b1e19732-2627-4571-b363-9eb6ec8a3403', 'vdisk_size': 131072}], 'vnics': [{'mac': '02:11:32:29:a3:37', 'model': 2, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'c9b856b8-e7a5-42fb-944b-a492042df01e'}], 'vram_size': 2048}, {'autorun': 1, 'description': '', 'guest_id': '648f871b-a49d-4687-a964-8ee0d55bc3b8', 'guest_name': 'Dsm7', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'd0589362-ba04-4644-bdda-c61472edc903', 'vdisk_size': 10240}, {'controller': 1, 'unmap': False, 'vdisk_id': '636b099a-e452-4815-ab00-c9773fe9a295', 'vdisk_size': 10240}, {'controller': 1, 'unmap': False, 'vdisk_id': '23f8705e-0fde-42f4-ae29-b8b2254c65c0', 'vdisk_size': 51200}], 'vnics': [{'mac': '02:11:32:2e:b2:d0', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'c5183b29-904e-4c2a-bbb3-0ab15ef24e39'}], 'vram_size': 2048}, {'autorun': 0, 'description': '', 'guest_id': '6fbe1c3b-4995-479f-8b0f-36f57ee4bf67', 'guest_name': 'adhd', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 32, 'unmap': False, 'vdisk_id': 'bbb564a7-290e-495c-9e1c-56ce621fdaa8', 'vdisk_size': 1024}, {'controller': 2, 'unmap': False, 'vdisk_id': '2b530c5a-60ab-40cd-9ec6-ed35c2c6b3b6', 'vdisk_size': 61440}], 'vnics': [{'mac': '02:11:32:25:9f:b9', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '300da9b9-0f3e-4c6e-9241-c5688a2eb3b7'}], 'vram_size': 4096}, {'autorun': 1, 'description': '', 'guest_id': '0431f407-f1b9-4a83-b9a6-858ab33d202b', 'guest_name': 'vyos_01', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'c20ec90b-5c5f-41e2-88eb-eb745badd1c3', 'vdisk_size': 10240}], 'vnics': [{'mac': '02:11:32:2c:74:f7', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '0e266885-c2a5-474c-a81e-903f0f6e8a87'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': '3c3af4d8-223c-4af5-b1d9-b4c9127388bf', 'guest_name': 'opnsense-n', 'status': 'running', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 32, 'unmap': False, 'vdisk_id': '5ebea0dd-49ac-46df-99f0-7205483faab6', 'vdisk_size': 1024}, {'controller': 1, 'unmap': False, 'vdisk_id': '7cdc3865-27ac-49f4-97c1-8db2fdabf9ec', 'vdisk_size': 30720}], 'vnics': [{'mac': '02:11:32:27:bc:84', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'c5180430-cb0c-4635-9e1a-3f4d80d8411a'}], 'vram_size': 2048}, {'autorun': 1, 'description': '', 'guest_id': 'cb26984b-70a1-483d-bca1-8a143bddbf0a', 'guest_name': 'cp_smartconsole_r80.40', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 3, 'unmap': False, 'vdisk_id': '39613ff9-ce13-4e80-bec0-3566ddb4205f', 'vdisk_size': 51200}], 'vnics': [{'mac': '02:11:32:28:f7:b2', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'adcb972e-c53f-424f-9d4f-3b029a9c1a5f'}], 'vram_size': 8192}, {'autorun': 0, 'description': '', 'guest_id': '3880ff40-fcc9-418c-84c3-7c27e8061a01', 'guest_name': 'cp-r80.40', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 3, 'unmap': False, 'vdisk_id': 'bcbd1283-00bf-43bf-8a51-18b045846e38', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:2d:40:57', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '37da5f04-6cd1-435a-aa1e-86ad281c9bfe'}], 'vram_size': 2048}]}, 'success': True}}
2021-07-19 12:21:05,954 {'message': {'success': True}}
2021-07-19 12:21:20,420 {'message': {'data': {'is_system_crashed': False, 'upgrade_ready': False}, 'success': True}}
2021-07-19 12:23:05,114 {'message': {'data': {'guests': [{'autorun': 0, 'description': '', 'guest_id': '2e3b1d2b-869c-4c8a-989c-aca3fb7dcd7a', 'guest_name': 'k3os_02', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': '97f50d6f-5cc4-4204-989a-a5aa7c117f14', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:26:88:6e', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '89e82114-d673-4f93-9c65-cc92c48997ab'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': '8b17b2cd-b6a4-4384-ab9d-200735b8aeaa', 'guest_name': 'Juniper SRX', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 2, 'unmap': False, 'vdisk_id': 'a092fed1-4f26-4bc1-84da-30a0ec3e9673', 'vdisk_size': 16384}], 'vnics': [{'mac': '02:11:32:2c:14:48', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'bc5c0b50-762c-49a0-acfb-91f7da9681d2'}], 'vram_size': 4096}, {'autorun': 1, 'description': '', 'guest_id': 'b8a56974-b8ba-4709-9d7a-c618bba06541', 'guest_name': 'kali', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'c1b1ee9f-003e-474c-9f4e-699e4f7dc81b', 'vdisk_size': 40960}], 'vnics': [{'mac': '02:11:32:21:81:56', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'a2e8f4ad-87b6-4f5c-989b-1a5721e492e3'}], 'vram_size': 4096}, {'autorun': 0, 'description': '', 'guest_id': 'e835ec58-6932-458d-8745-98093e9d69d7', 'guest_name': 'security_onion', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'acb79262-3e98-44b3-b1cb-c432574d2249', 'vdisk_size': 204800}], 'vnics': [{'mac': '02:11:32:28:d5:88', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '7ed8320d-1ac6-4b97-b921-01e1cd7767ce'}], 'vram_size': 4096}, {'autorun': 0, 'description': '', 'guest_id': 'ea624136-8481-4204-8960-a0550816e5c8', 'guest_name': 'k3os_01', 'status': 'running', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': '827f1bba-ca2d-4371-a36e-86cf36557473', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:21:ad:86', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'fd574b17-198e-4f06-a139-06c16147b034'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': 'eab2c861-fb84-4c30-ba54-0985ef8fa63d', 'guest_name': 'k3os_04', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': '569bbc77-c48b-45ad-a645-9778fa669a3c', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:23:a2:48', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '54100bc2-98e6-4d3b-86bb-b0c15ee27248'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': '17bb084a-fd05-43bd-96d8-e3f0e4f83620', 'guest_name': 'k3os_03', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'c5a18787-9661-473b-8088-65783194014c', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:21:33:33', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '36e5f3cd-d012-4d9c-9898-7e177515332a'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': '3e1148c7-88b9-4ab0-aa33-12cbea1556c3', 'guest_name': 'ADHD4', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 2, 'unmap': False, 'vdisk_id': 'ac0bc0e7-0157-4fce-95bf-5cacd76c698b', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:2a:f5:e3', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'dbdd6be2-7dbd-41d5-b60b-587bc36a3cff'}], 'vram_size': 3072}, {'autorun': 1, 'description': '', 'guest_id': '7677313c-3b3e-4c55-a756-2bd55a18e013', 'guest_name': 'opnsense', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 32, 'unmap': False, 'vdisk_id': 'f9267d39-c677-4bd2-b775-697d7514642e', 'vdisk_size': 1024}, {'controller': 1, 'unmap': False, 'vdisk_id': '89498209-5b95-4367-87c9-866841a45b16', 'vdisk_size': 30720}], 'vnics': [{'mac': '02:11:32:21:d1:d9', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'c4ed58ad-0492-46ce-9908-029969afe5ef'}], 'vram_size': 2048}, {'autorun': 1, 'description': '', 'guest_id': '79a11e59-d6f3-4101-b5d4-86be71827b25', 'guest_name': 'debian', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': '4aa13d18-bc98-4098-a8e6-59dc58cc2219', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:2e:67:88', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '4e2ed728-e509-4be1-a9d8-e78d67242ea4'}], 'vram_size': 2048}, {'autorun': 0, 'description': '', 'guest_id': '998b6152-0f3b-4732-9303-1a8b65b46285', 'guest_name': 'tails', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'dd5f90fe-ce8a-43e9-8644-6e976cb76e22', 'vdisk_size': 30720}], 'vnics': [{'mac': '02:11:32:22:c4:58', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'd3169e0b-1748-4573-b18c-090265138ddd'}], 'vram_size': 8192}, {'autorun': 1, 'description': '', 'guest_id': '0431f407-f1b9-4a83-b9a6-858ab33d202b', 'guest_name': 'vyos_01', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'c20ec90b-5c5f-41e2-88eb-eb745badd1c3', 'vdisk_size': 10240}], 'vnics': [{'mac': '02:11:32:2c:74:f7', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '0e266885-c2a5-474c-a81e-903f0f6e8a87'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': '22fbe95f-0a82-409f-a6a5-26c7ac5e3e86', 'guest_name': 'Win10Eval', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 2, 'unmap': False, 'vdisk_id': 'f4d00e2a-500f-4c89-9404-9275e952085c', 'vdisk_size': 40960}], 'vnics': [{'mac': '02:11:32:2d:0c:5d', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '2761048c-cc96-4398-922d-17dfa5e80958'}], 'vram_size': 8192}, {'autorun': 0, 'description': '', 'guest_id': '3fd64ee2-5b05-4525-aafb-90e0890c2519', 'guest_name': 'slingshot', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 2, 'unmap': False, 'vdisk_id': 'b1e19732-2627-4571-b363-9eb6ec8a3403', 'vdisk_size': 131072}], 'vnics': [{'mac': '02:11:32:29:a3:37', 'model': 2, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'c9b856b8-e7a5-42fb-944b-a492042df01e'}], 'vram_size': 2048}, {'autorun': 1, 'description': '', 'guest_id': '648f871b-a49d-4687-a964-8ee0d55bc3b8', 'guest_name': 'Dsm7', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'd0589362-ba04-4644-bdda-c61472edc903', 'vdisk_size': 10240}, {'controller': 1, 'unmap': False, 'vdisk_id': '636b099a-e452-4815-ab00-c9773fe9a295', 'vdisk_size': 10240}, {'controller': 1, 'unmap': False, 'vdisk_id': '23f8705e-0fde-42f4-ae29-b8b2254c65c0', 'vdisk_size': 51200}], 'vnics': [{'mac': '02:11:32:2e:b2:d0', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'c5183b29-904e-4c2a-bbb3-0ab15ef24e39'}], 'vram_size': 2048}, {'autorun': 0, 'description': '', 'guest_id': '6fbe1c3b-4995-479f-8b0f-36f57ee4bf67', 'guest_name': 'adhd', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 32, 'unmap': False, 'vdisk_id': 'bbb564a7-290e-495c-9e1c-56ce621fdaa8', 'vdisk_size': 1024}, {'controller': 2, 'unmap': False, 'vdisk_id': '2b530c5a-60ab-40cd-9ec6-ed35c2c6b3b6', 'vdisk_size': 61440}], 'vnics': [{'mac': '02:11:32:25:9f:b9', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '300da9b9-0f3e-4c6e-9241-c5688a2eb3b7'}], 'vram_size': 4096}, {'autorun': 0, 'description': '', 'guest_id': '3880ff40-fcc9-418c-84c3-7c27e8061a01', 'guest_name': 'cp-r80.40', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 3, 'unmap': False, 'vdisk_id': 'bcbd1283-00bf-43bf-8a51-18b045846e38', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:2d:40:57', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '37da5f04-6cd1-435a-aa1e-86ad281c9bfe'}], 'vram_size': 2048}, {'autorun': 0, 'description': '', 'guest_id': '3c3af4d8-223c-4af5-b1d9-b4c9127388bf', 'guest_name': 'opnsense-n', 'status': 'running', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 32, 'unmap': False, 'vdisk_id': '5ebea0dd-49ac-46df-99f0-7205483faab6', 'vdisk_size': 1024}, {'controller': 1, 'unmap': False, 'vdisk_id': '7cdc3865-27ac-49f4-97c1-8db2fdabf9ec', 'vdisk_size': 30720}], 'vnics': [{'mac': '02:11:32:27:bc:84', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'c5180430-cb0c-4635-9e1a-3f4d80d8411a'}], 'vram_size': 2048}, {'autorun': 1, 'description': '', 'guest_id': 'cb26984b-70a1-483d-bca1-8a143bddbf0a', 'guest_name': 'cp_smartconsole_r80.40', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 3, 'unmap': False, 'vdisk_id': '39613ff9-ce13-4e80-bec0-3566ddb4205f', 'vdisk_size': 51200}], 'vnics': [{'mac': '02:11:32:28:f7:b2', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'adcb972e-c53f-424f-9d4f-3b029a9c1a5f'}], 'vram_size': 8192}]}, 'success': True}}
2021-07-19 12:23:16,376 {'message': {'success': True}}
2021-07-19 13:19:39,551 {'message': {'data': {'guests': [{'autorun': 1, 'description': '', 'guest_id': '0431f407-f1b9-4a83-b9a6-858ab33d202b', 'guest_name': 'vyos_01', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'c20ec90b-5c5f-41e2-88eb-eb745badd1c3', 'vdisk_size': 10240}], 'vnics': [{'mac': '02:11:32:2c:74:f7', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '0e266885-c2a5-474c-a81e-903f0f6e8a87'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': '22fbe95f-0a82-409f-a6a5-26c7ac5e3e86', 'guest_name': 'Win10Eval', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 2, 'unmap': False, 'vdisk_id': 'f4d00e2a-500f-4c89-9404-9275e952085c', 'vdisk_size': 40960}], 'vnics': [{'mac': '02:11:32:2d:0c:5d', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '2761048c-cc96-4398-922d-17dfa5e80958'}], 'vram_size': 8192}, {'autorun': 0, 'description': '', 'guest_id': '3fd64ee2-5b05-4525-aafb-90e0890c2519', 'guest_name': 'slingshot', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 2, 'unmap': False, 'vdisk_id': 'b1e19732-2627-4571-b363-9eb6ec8a3403', 'vdisk_size': 131072}], 'vnics': [{'mac': '02:11:32:29:a3:37', 'model': 2, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'c9b856b8-e7a5-42fb-944b-a492042df01e'}], 'vram_size': 2048}, {'autorun': 1, 'description': '', 'guest_id': '648f871b-a49d-4687-a964-8ee0d55bc3b8', 'guest_name': 'Dsm7', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'd0589362-ba04-4644-bdda-c61472edc903', 'vdisk_size': 10240}, {'controller': 1, 'unmap': False, 'vdisk_id': '636b099a-e452-4815-ab00-c9773fe9a295', 'vdisk_size': 10240}, {'controller': 1, 'unmap': False, 'vdisk_id': '23f8705e-0fde-42f4-ae29-b8b2254c65c0', 'vdisk_size': 51200}], 'vnics': [{'mac': '02:11:32:2e:b2:d0', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'c5183b29-904e-4c2a-bbb3-0ab15ef24e39'}], 'vram_size': 2048}, {'autorun': 0, 'description': '', 'guest_id': '6fbe1c3b-4995-479f-8b0f-36f57ee4bf67', 'guest_name': 'adhd', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 32, 'unmap': False, 'vdisk_id': 'bbb564a7-290e-495c-9e1c-56ce621fdaa8', 'vdisk_size': 1024}, {'controller': 2, 'unmap': False, 'vdisk_id': '2b530c5a-60ab-40cd-9ec6-ed35c2c6b3b6', 'vdisk_size': 61440}], 'vnics': [{'mac': '02:11:32:25:9f:b9', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '300da9b9-0f3e-4c6e-9241-c5688a2eb3b7'}], 'vram_size': 4096}, {'autorun': 0, 'description': '', 'guest_id': '3880ff40-fcc9-418c-84c3-7c27e8061a01', 'guest_name': 'cp-r80.40', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 3, 'unmap': False, 'vdisk_id': 'bcbd1283-00bf-43bf-8a51-18b045846e38', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:2d:40:57', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '37da5f04-6cd1-435a-aa1e-86ad281c9bfe'}], 'vram_size': 2048}, {'autorun': 0, 'description': '', 'guest_id': '3c3af4d8-223c-4af5-b1d9-b4c9127388bf', 'guest_name': 'opnsense-n', 'status': 'running', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 32, 'unmap': False, 'vdisk_id': '5ebea0dd-49ac-46df-99f0-7205483faab6', 'vdisk_size': 1024}, {'controller': 1, 'unmap': False, 'vdisk_id': '7cdc3865-27ac-49f4-97c1-8db2fdabf9ec', 'vdisk_size': 30720}], 'vnics': [{'mac': '02:11:32:27:bc:84', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'c5180430-cb0c-4635-9e1a-3f4d80d8411a'}], 'vram_size': 2048}, {'autorun': 1, 'description': '', 'guest_id': 'cb26984b-70a1-483d-bca1-8a143bddbf0a', 'guest_name': 'cp_smartconsole_r80.40', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 3, 'unmap': False, 'vdisk_id': '39613ff9-ce13-4e80-bec0-3566ddb4205f', 'vdisk_size': 51200}], 'vnics': [{'mac': '02:11:32:28:f7:b2', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'adcb972e-c53f-424f-9d4f-3b029a9c1a5f'}], 'vram_size': 8192}, {'autorun': 0, 'description': '', 'guest_id': '2e3b1d2b-869c-4c8a-989c-aca3fb7dcd7a', 'guest_name': 'k3os_02', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': '97f50d6f-5cc4-4204-989a-a5aa7c117f14', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:26:88:6e', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '89e82114-d673-4f93-9c65-cc92c48997ab'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': '8b17b2cd-b6a4-4384-ab9d-200735b8aeaa', 'guest_name': 'Juniper SRX', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 2, 'unmap': False, 'vdisk_id': 'a092fed1-4f26-4bc1-84da-30a0ec3e9673', 'vdisk_size': 16384}], 'vnics': [{'mac': '02:11:32:2c:14:48', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'bc5c0b50-762c-49a0-acfb-91f7da9681d2'}], 'vram_size': 4096}, {'autorun': 1, 'description': '', 'guest_id': 'b8a56974-b8ba-4709-9d7a-c618bba06541', 'guest_name': 'kali', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'c1b1ee9f-003e-474c-9f4e-699e4f7dc81b', 'vdisk_size': 40960}], 'vnics': [{'mac': '02:11:32:21:81:56', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'a2e8f4ad-87b6-4f5c-989b-1a5721e492e3'}], 'vram_size': 4096}, {'autorun': 0, 'description': '', 'guest_id': 'ea624136-8481-4204-8960-a0550816e5c8', 'guest_name': 'k3os_01', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': '827f1bba-ca2d-4371-a36e-86cf36557473', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:21:ad:86', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'fd574b17-198e-4f06-a139-06c16147b034'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': 'eab2c861-fb84-4c30-ba54-0985ef8fa63d', 'guest_name': 'k3os_04', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': '569bbc77-c48b-45ad-a645-9778fa669a3c', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:23:a2:48', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '54100bc2-98e6-4d3b-86bb-b0c15ee27248'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': '17bb084a-fd05-43bd-96d8-e3f0e4f83620', 'guest_name': 'k3os_03', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 1, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'c5a18787-9661-473b-8088-65783194014c', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:21:33:33', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '36e5f3cd-d012-4d9c-9898-7e177515332a'}], 'vram_size': 1024}, {'autorun': 0, 'description': '', 'guest_id': '3e1148c7-88b9-4ab0-aa33-12cbea1556c3', 'guest_name': 'ADHD4', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 2, 'unmap': False, 'vdisk_id': 'ac0bc0e7-0157-4fce-95bf-5cacd76c698b', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:2a:f5:e3', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'dbdd6be2-7dbd-41d5-b60b-587bc36a3cff'}], 'vram_size': 3072}, {'autorun': 1, 'description': '', 'guest_id': '7677313c-3b3e-4c55-a756-2bd55a18e013', 'guest_name': 'opnsense', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 32, 'unmap': False, 'vdisk_id': 'f9267d39-c677-4bd2-b775-697d7514642e', 'vdisk_size': 1024}, {'controller': 1, 'unmap': False, 'vdisk_id': '89498209-5b95-4367-87c9-866841a45b16', 'vdisk_size': 30720}], 'vnics': [{'mac': '02:11:32:21:d1:d9', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'c4ed58ad-0492-46ce-9908-029969afe5ef'}], 'vram_size': 2048}, {'autorun': 1, 'description': '', 'guest_id': '79a11e59-d6f3-4101-b5d4-86be71827b25', 'guest_name': 'debian', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': '4aa13d18-bc98-4098-a8e6-59dc58cc2219', 'vdisk_size': 20480}], 'vnics': [{'mac': '02:11:32:2e:67:88', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '4e2ed728-e509-4be1-a9d8-e78d67242ea4'}], 'vram_size': 2048}, {'autorun': 0, 'description': '', 'guest_id': '998b6152-0f3b-4732-9303-1a8b65b46285', 'guest_name': 'tails', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'dd5f90fe-ce8a-43e9-8644-6e976cb76e22', 'vdisk_size': 30720}], 'vnics': [{'mac': '02:11:32:22:c4:58', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': 'd3169e0b-1748-4573-b18c-090265138ddd'}], 'vram_size': 8192}, {'autorun': 0, 'description': '', 'guest_id': 'e835ec58-6932-458d-8745-98093e9d69d7', 'guest_name': 'security_onion', 'status': 'shutdown', 'storage_id': 'f0d59c35-98c9-46eb-a388-7e95e1f9b598', 'storage_name': 'ds220plus - VM Storage 1', 'vcpu_num': 2, 'vdisks': [{'controller': 1, 'unmap': False, 'vdisk_id': 'acb79262-3e98-44b3-b1cb-c432574d2249', 'vdisk_size': 204800}], 'vnics': [{'mac': '02:11:32:28:d5:88', 'model': 1, 'network_id': 'bfffe844-3dee-46fd-a1cc-00d2cae7b767', 'network_name': 'Default VM Network', 'vnic_id': '7ed8320d-1ac6-4b97-b921-01e1cd7767ce'}], 'vram_size': 4096}]}, 'success': True}}
2021-07-19 13:24:18,160 {'message': {'data': {'is_system_crashed': False, 'upgrade_ready': False}, 'success': True}}

```
